Bug 1461137 - Change "File Share" terminology in the UI to "Volume
Change "File Share" terminology in the UI to "Volume
Status: MODIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity low
: alpha
: 3-alpha
Assigned To: Neha Gupta
sds-qe-bugs
:
: 1460864 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 11:15 EDT by Ju Lim
Modified: 2017-06-29 04:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github 424 None None None 2017-06-13 11:15 EDT

  None (edit)
Description Ju Lim 2017-06-13 11:15:25 EDT
Description of problem:

All references in the UI for a Gluster volume is referenced as a file share.
Specifically, if I'm a Gluster user, I may get confused by the "File Share" reference as all Gluster documentation references the term "Volume" and we will want to be consistent with Gluster terminology.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. See menu / navigation in the UI
2. See Volumes List view
3. (See expected results for additional details)

Actual results:


Expected results:
All the "File Share" references in the UI show as "Volume" in the UI instead. This includes the following:

- Menu item for "Volumes"
- Volumes List view
- Create Volume
- Edit Volume
- Delete Volume
- Rebalance Volume
- Start / Stop Volume
- Object Details view where there is a "Volume" tab (e.g. Gluster cluster object details
- Any tooltip with the "volume" reference

Additional info:
See https://github.com/Tendrl/dashboard/issues/424 for additional information.
Comment 3 Ju Lim 2017-06-15 10:26:44 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=1460864.
Comment 4 Jeff Applewhite 2017-06-15 10:33:07 EDT
*** Bug 1460864 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.